Debian Bug report logs - #574537
Breaks immediately on startup, failing to create temporary file

version graph

Package: gxemul; Maintainer for gxemul is Jonathan Wiltshire <debian@jwiltshire.org.uk>;

Reported by: Jurij Smakov <jurij@wooyd.org>

Date: Thu, 18 Mar 2010 21:39:01 UTC

Severity: grave

Tags: upstream

Found in version gxemul/0.6.0-1

Fixed in version gxemul/0.6.0-2

Done: Jonathan Wiltshire <debian@jwiltshire.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan Wiltshire <debian@jwiltshire.org.uk>:
Bug#574537; Package gxemul. (Thu, 18 Mar 2010 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
New Bug report received and forwarded. Copy sent to Jonathan Wiltshire <debian@jwiltshire.org.uk>. (Thu, 18 Mar 2010 21:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: submit@bugs.debian.org
Subject: Breaks immediately on startup, failing to create temporary file
Date: Thu, 18 Mar 2010 21:36:17 +0000
Package: gxemul
Version: 0.6.0-1
Severity: grave

One of the checks performed during the build of the gxemul binary
is for the availability of mkstemp() function. It is implemented
incorrectly, so the build system decides that native mkstemp()
function is not available, so mymkstemp(), an alternative
implementation included with gxemul, is used instead. It is also
broken, as it uses the following code to create the temporary file
(src/old_main/misc.cc:125):

    h = open(templ, O_RDWR, 0600);

As O_CREAT flag is not set and the file does not exist, an error
is returned, so gxemul exits immediately.

Please consider adding at least some basic functionality testing
to the build process to catch such problems early.

Thanks.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gxemul depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.3-3  GCC support library
ii  libstdc++6                    4.4.3-3    The GNU Standard C++ Library v3
ii  libx11-6                      2:1.3.3-2  X11 client-side library

Versions of packages gxemul recommends:
ii  gxemul-doc                    0.6.0-1    gxemul documentation

gxemul suggests no packages.

-- no debconf information




Added tag(s) upstream. Request was from Jonathan Wiltshire <debian@jwiltshire.org.uk> to control@bugs.debian.org. (Thu, 18 Mar 2010 22:37:19 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <debian@jwiltshire.org.uk>:
You have taken responsibility. (Fri, 19 Mar 2010 15:39:03 GMT) Full text and rfc822 format available.

Notification sent to Jurij Smakov <jurij@wooyd.org>:
Bug acknowledged by developer. (Fri, 19 Mar 2010 15:39:03 GMT) Full text and rfc822 format available.

Message #12 received at 574537-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <debian@jwiltshire.org.uk>
To: 574537-close@bugs.debian.org
Subject: Bug#574537: fixed in gxemul 0.6.0-2
Date: Fri, 19 Mar 2010 15:36:34 +0000
Source: gxemul
Source-Version: 0.6.0-2

We believe that the bug you reported is fixed in the latest version of
gxemul, which is due to be installed in the Debian FTP archive:

gxemul-doc_0.6.0-2_all.deb
  to main/g/gxemul/gxemul-doc_0.6.0-2_all.deb
gxemul_0.6.0-2.debian.tar.gz
  to main/g/gxemul/gxemul_0.6.0-2.debian.tar.gz
gxemul_0.6.0-2.dsc
  to main/g/gxemul/gxemul_0.6.0-2.dsc
gxemul_0.6.0-2_amd64.deb
  to main/g/gxemul/gxemul_0.6.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <debian@jwiltshire.org.uk> (supplier of updated gxemul package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Mar 2010 13:18:50 +0000
Source: gxemul
Binary: gxemul gxemul-doc
Architecture: source amd64 all
Version: 0.6.0-2
Distribution: unstable
Urgency: low
Maintainer: Jonathan Wiltshire <debian@jwiltshire.org.uk>
Changed-By: Jonathan Wiltshire <debian@jwiltshire.org.uk>
Description: 
 gxemul     - machine emulator for multiple architectures
 gxemul-doc - gxemul documentation
Closes: 574537
Changes: 
 gxemul (0.6.0-2) unstable; urgency=low
 .
   * [6fbaf8] New patch mymkstemp.patch to fix runtime error when
     creating temporary files on Linux systems (Closes: #574537)
Checksums-Sha1: 
 e5b6793f7a1b2efa2ab7581cddddce2d042ce466 1191 gxemul_0.6.0-2.dsc
 1d3a326a898eb70f62e55c51b16fdb890bfc6096 6858 gxemul_0.6.0-2.debian.tar.gz
 c59808befef9ab0e235ccc524f8945991f4805ef 1247062 gxemul_0.6.0-2_amd64.deb
 7dd504cee87934b19505ffe1edaf82c1b13bc0a2 2473000 gxemul-doc_0.6.0-2_all.deb
Checksums-Sha256: 
 43e69b2546b4707f3b42ced509b155ecf2964f8a5d455ab927a931d6bd7ac1a2 1191 gxemul_0.6.0-2.dsc
 0ddec7c584ce7af0ddc09719ef01be9d4fa00b67cddf1ae65f1fc4b88a6e08c0 6858 gxemul_0.6.0-2.debian.tar.gz
 2d09530f8edebeb687faa4584b58e3a88f83300b1f3af0ec0b2b6240d798dca8 1247062 gxemul_0.6.0-2_amd64.deb
 2dffe2c2fc751591859d79ef10b2446dd506bc73f8436f97d3f95289a31020c0 2473000 gxemul-doc_0.6.0-2_all.deb
Files: 
 ba119eeed4487db5063a745d29a20416 1191 misc extra gxemul_0.6.0-2.dsc
 a1684d78d5fbf6ae4a35118cc8c41724 6858 misc extra gxemul_0.6.0-2.debian.tar.gz
 8ed48497cbe1f4a5906476b1cc08cfbc 1247062 misc extra gxemul_0.6.0-2_amd64.deb
 911e370d2e9315b4fbdf050d0fc7a85c 2473000 doc extra gxemul-doc_0.6.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkujfCwACgkQymvqPtuAC1IPvACfS4rF1idStgLfibg7XtHVBZG/
X0YAoIBwMRmfjd4iAZBlCJ+s1/jBSkPz
=alK/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Apr 2010 07:34:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:44:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.